//
//  -=- Faithless Config File -=-
//  Everything here is either non functional or experimental. '//X' means non-functional.
//
//  To toggle a feature, set True to False. 
//	If the line has a numeric value, 0 will disable it
//	If the line has a decimal, it accepts more precise values.
//	
//  If you have any of these mods installed, set these to True.
//  This will disable any incompatible features of the shaders

		#define OPTIFINE false
		#define SODIUM false 
		#define MODELGAPFIX false 

// ============================================================================
//  WAVING ANIMATIONS
// ============================================================================

		#define Waving_Features true 		//Toggle-All

		#define Waving_Grass 1.0 			//(Grass, Flowers, Crops...)
		#define Waving_Foliage 1.0 			//(Leaves, Vines, Bushes...)
		#define Waving_Objects 1.0 			//(Chains, Lanterns, Webs...)
		#define Waving_Water 1.0			//(Water, Seagrass, Lilypads...)
		#define Waving_Lava 1.0
		#define Waving_Fire 1.0

// ============================================================================
//  Interface and GUI 
// ============================================================================

		#define Potion_Variants true		//Unique Potion Textures
		
		#define Alt_Hotbar 1				//Alt Hotbar Layouts                        		//X
		#define Hitboxes 1					//Alt Block Selection Outlines              		//X
		
		#define Selected_Slot 1				//Alt Selected Inv Slot
		#define Selected_Slot_Anim true		//Animated Selected Inv Slot
		#define Furnace_UI true 			//Lit Furnace UI (+Smoker/Blaster)          		//X
		#define Smithing_UI true			//Spinning Armor Stand in Smithing Table    		//X
		#define Creative_Tabs true			//Creative Mode Tabs                        		//X
		
		#define Menu_BG 1					//Alt Menu Dirt Backgrounds							//X
		
		#define Minimap true 				//Displays a minimap of rendered chunks             //X
		
// ============================================================================
//  Skins 
// ============================================================================

		#define Player_Skin_Features true	// Toggle-All skin features for every player
		
      //-=- ALL SKINS TOGGLE -=-			// -=- PERSONAL SKIN -=-								|	-=- DESCRIPTION -=-
		#define Player_Blink_Face true		// toggle  r1.. =On										|	Blinking eyes face
		#define Player_Transparency true	// scale   r.1. =strips; r.2. =stripInv; 				|	Allow the entire skin to support transparency
		#define Player_Emissives true		// scale   r..1 =strips; r..2 =stripInv; r..3 =all		|	Define which areas of your skin glow 
 		#define Player_Hurt_Face true		// toggle  g1.. =On										|	Face when taking damage
		#define Player_Hurt_Mask true		// scale   g.1. =strips; g.2. =stripInv;	g.3. =all	|	Define which areas of your skin are tinted/masked when hurt
		#define Player_Reflection true		// scale   g..1 =strips; g..2 =stripInv; g..3 =all 		|	Define which areas of your skin are reflective					//X
		#define Player_Squint_Face true		// toggle  b1.. =On										|	Eyes Squint when adjusting to darkness or brigtness
		#define Player_Breathing true		// toggle  b.1. =On										|	Improved idle stance  											//X
		#define Player_Cape true 			// toggle  b..1 =On										|	4p & 3p arms have 8x12 and 10x12 capes respectively
		#define Player_Pixel_Anim true		// toggle  a1.. =interpolate							|	Define which colors on your skin interpolate (*)				//X
											// scale   a.1. =speed 									|	(*) Define how fast colors on your skin interpolate
		#define Player_Pixel_Mask true		// scale   g..1 =strips; g..2 =stripInv; g..3 =all		|	Define which areas of your skin have special effects			//X
		#define Player_Hurt_Color true		// mask    alpha = 220									|	Define the tint color when taking damage.
		
// ============================================================================
//  Fun
// ============================================================================

		#define Fresh_Animations true		//Fresh Animations at Home							//X
		#define TFAILA true 				//WAILA at home										//X
		#define Emissives true  			//Textures appear to glow, but don't emit light.
		#define Grass_Displacement true 	//Foliage will be crushed under you
		
		#define Windowlogging true 			//Glass Panes & Iron Bars connect to slabs and stairs
		#define Fencelogging true 			//Fences & Walls connect to slabs and stairs
		#define Snowlogging true 			//Snow and Moss will connect to fences and panes
		#define Dynamic_Slopes true 		//Dynamic Snow and Moss
		
		#define Big_Trees true 				//Gives 2x2 trees a unique texture
		#define Jukebox_Disc true			//Jukebox Disc will have a spinning animation
		#define Spinning_Beacon true		//Beacon is given an orbit animation
		#define Ender_Chest true 			//Ender Chest End Portal Effect
		#define Portal_Fog true 			//Gives the Nether portal ambient fog
		#define Dimensional_Foliage true 	//Gives the Nether and End some ambient foliage
		
		#define Billboard_Items true		//2D Items like Beta Minecraft                      //X
		#define Billboard_Blocks true 		//Cross models become 2d sprites that follow you    //X
		
		#define Destroy_Depth 0.6			//3D Breaking Animation
		#define Cubic_Particles true		//3D Particles
		
		#define Render_Player True 			//Render the whole player in first person           //X
		
		#define Explosion_Power 1.0 		//Explosions cause the screen to shake              //X
		#define CelShading 1.0				//Cel-Shading intensity                             //X
  		#define Orthographic false			//Removes Perspective Depth							//X
  		#define Colorblindness 0			//0 = None, 1 = Protan, 2 = Deutan, 3 = Tritan, 4 = Mono
		
		#define Fog_Distance 0.3 	 		//Fog Density
  		#define Chunk_Loading 1				//0 = Vanilla, 1 = Rising Chunks, 2 = Block Fade

// ============================================================================
//  Lighting and Environmental Effects
// ============================================================================

		#define Volumetric_Clouds true		// Volumetric Clouds								//X
		#define Volumetric_Fog true			// Volumetric Fog                   				//X
		#define Volumetric_Grass true		// Volumetric Grass                 				//X
		#define Shadows true				// Shadows                          				//X
		#define Reflections true			// Reflections                      				//X
		#define Motion_Blur 1.0				// Motion Blur                      				//X
		#define DOF 1.0						// Depth of Field                   				//X
		#define Exposure 1.0				// Light Exposure                   				//X
		#define Bloom true					// Bloom effect                     				//X
		#define Sun_Moon_Angle 1.0			// Sun/Moon Angle                   				//X
		#define Skybox true					// Custom Overworld Skybox          				//X
		#define End_Skybox true				// Custom End skybox                				//X

// ============================================================================

// TO-DO
// Alt Tooltips
// UI Icons/3D Held FIX
// Fishing/Lead Line